%define main_version 0.50.39

Name: newt
Version: %main_version
Release: alt2

 
Summary: A development library for text mode user interfaces.
Copyright: LGPL
Group: System/Libraries
Url: ftp://ftp.redhat.com/pub/redhat/code/%name

Source: %url/%name-%version.tar.bz2
Patch0: %name-gpm-fix.patch
Patch1: %name-0.50.18-castle-owl-gpm_open-ttyfix.patch
Patch2: %name-altconf.patch
Patch3: %name-0.50.35-cleanup.patch
Patch4: %name-0.50.39-alt-no-static-build.patch

Requires: slang, lib%name = %version-%release
Provides: snack = %version-%release

# Automatically added by buildreq on Tue Oct 22 2002
BuildRequires: libpopt-devel libslang-devel python-devel tkinter

%package -n lib%name
Summary: Newt windowing toolkit development files library.
Group: System/Libraries

%package -n lib%name-python
Summary: Python files for the %name.
Version: %{main_version}_%__python_version
Group: System/Libraries
Requires: python = %__python_version, lib%name = %{main_version}-%release

%package -n lib%name-devel
Summary: Newt windowing toolkit development files.
Group: Development/C
Version: %main_version
Requires: lib%name = %version-%release, slang-devel
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%package -n lib%name-devel-static
Summary: Newt windowing toolkit development files.
Group: Development/C
Requires: lib%name-devel = %version-%release


%description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.  This package contains a
/usr/bin/dialog replacement called whiptail.
Newt is based on the slang library.

%description -n lib%name
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.  This package contains the
shared library needed by programs built with %name.
Newt is based on the slang library.

%description -n lib%name-python
python stuff for the %name

%description -n lib%name-devel
The lib%name-devel package contains the header files and libraries
necessary for developing applications which use %name. Newt is
a development library for text mode user interfaces.
Newt is based on the slang library.

Install lib%name-devel if you want to develop applications which will
use %name.

%description -n lib%name-devel-static
Static libraries for  lib%name-devel 

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%__subst s/^PYTHONVERS.*/PYTHONVERS=python%__python_version/ Makefile.in

%build
%configure --with-gpm-support
# NO SMP
%make

%install
mkdir -p $RPM_BUILD_ROOT
%makeinstall 

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%_libdir/*.so.*

%files 
%_bindir/*
%doc CHANGES

%files -n lib%name-python
%_libdir/python%__python_version/*/*.py*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%doc tutorial.sgml

%files -n lib%name-devel-static
%_libdir/*.*a

%changelog
* Tue Oct 22 2002 Stanislav Ievlev <inger@altlinux.ru> 0.50.39-alt2
- rebuild with gcc3.
  New version has new soname, so still waiting for next distro release (ALM3?)
- don't build example static

* Wed Apr 24 2002 Stanislav Ievlev <inger@altlinux.ru> 0.50.35-alt1
- 0.50.35

* Mon Oct 08 2001 Stanislav Ievlev <inger@altlinux.ru> 0.50.34-alt2
- 0.50.34. 
- code cleanup patch

* Thu Aug 09 2001 Stanislav Ievlev <inger@altlinux.ru> 0.50.30-alt1
- 0.50.30

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.50.26-alt2
- Rebuilt with python-2.1

* Fri Jun 22 2001 Stanislav Ievlev <inger@altlinux.ru> 0.50.26-alt1
- 0.50.26.

* Thu May 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.50.20-alt3
- Enhanced recent fix for Gpm_Open() function.

* Mon May 07 2001 Stanislav Ievlev <inger@altlinux.ru> 0.50.20-alt2
- tmp dir cleaning bugfix.

* Mon May 07 2001 Stanislav Ievlev <inger@altlinux.ru> 0.50.20-alt1
- 0.50.20. tmpdir correction, tty variable bugfix, statification
 
* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 0.50.19-ipl1mdk
- 0.50.19.

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 0.50.17-ipl1mdk
- 0.50.17.
- RE adaptions.
- Fixed building with python version != 1.5.
- Automatically added BuildRequires.

* Wed Nov 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50.8-8mdk
- Add missing Provides: (thx stefan, warlyscks).

* Fri Nov 24 2000 Warly <warly@mandrakesoft.com> 0.50.8-7mdk
- split libnewt0 packages

* Thu Nov 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.50.8-6mdk
- add dependencie on newt from newt-devel
- Patch for python 2.0
- Add build requires on tcl

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.50.8-5mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50.8-4mdk
- macro-ization
- BM

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 0.50.8-3mdk
- add soname

* Wed Apr 5 2000 Warly <warly@mandrakesoft.com> 0.50.8-2mdk
- readd the mandrake colors patch

* Wed Apr 5 2000 Warly <warly@mandrakesoft.com> 0.50.8-1mdk
- new groups: System/Librairies and Development/C for devel

* Sat Mar 11 2000 Pixel <pixel@mandrakesoft.com> 0.50-15mdk
- really default to mandrake colors (applying the patch works better :)

* Tue Jan 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.50-14mdk
- By default mandrake colors.

* Tue Dec 14 1999 Frederic Lepied <flepied@mandrakesoft.com>
- fix bug when gpm isn't running

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Fri Oct  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.50.

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Patch from H.J. Lu <hjl@varesearch.com> :
- fixed tab expansion.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Mon Mar 15 1999 Matt Wilson <msw@redhat.com>
- fix from Jakub Jelinek for listbox keypresses

* Fri Feb 27 1999 Matt Wilson <msw@redhat.com>
- fixed support for navigating listboxes with alphabetical keypresses

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated descriptions
- added support for navigating listboxes with alphabetical keypresses

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- made grid wrapped windows at least the size of their title bars

* Fri Feb  5 1999 Matt Wilson <msw@redhat.com>
- Function to set checkbox flags.  This will go away later when I have
  a generic flag setting function and signals to comps to go insensitive.

* Tue Jan 19 1999 Matt Wilson <msw@redhat.com>
- Stopped using libgpm, internalized all gpm calls.  Still need some cleanups.

* Thu Jan  7 1999 Matt Wilson <msw@redhat.com>
- Added GPM mouse support
- Moved to autoconf to allow compiling without GPM support
- Changed revision to 0.40

* Wed Oct 21 1998 Bill Nottingham <notting@redhat.com>
- built against slang-1.2.2

* Wed Aug 19 1998 Bill Nottingham <notting@redhat.com>
- bugfixes for text reflow
- added docs

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Thu Apr 30 1998 Erik Troan <ewt@redhat.com>
- removed whiptcl.so -- it should be in a separate package

* Mon Feb 16 1998 Erik Troan <ewt@redhat.com>
- added newtWinMenu()
- many bug fixes in grid code

* Wed Jan 21 1998 Erik Troan <ewt@redhat.com>
- removed newtWinTernary()
- made newtWinChoice() return codes consistent with newtWinTernary()

* Fri Jan 16 1998 Erik Troan <ewt@redhat.com>
- added changes from Bruce Perens
    - small cleanups
    - lets whiptail automatically resize windows
- the order of placing a grid and adding components to a form no longer
  matters
- added newtGridAddComponentsToForm()

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- added newtWinTernary()

* Tue Oct 07 1997 Erik Troan <ewt@redhat.com>
- made Make/spec files use a buildroot
- added grid support (for newt 0.11 actually)

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Added patched from Clarence Smith for setting the size of a listbox
- Version 0.9

* Tue May 28 1997 Elliot Lee <sopwith@redhat.com> 0.8-2
- Touchups on Makefile
- Cleaned up NEWT_FLAGS_*

* Tue Mar 18 1997 Erik Troan <ewt@redhat.com>
- Cleaned up listbox
- Added whiptail
- Added newtButtonCompact button type and associated colors
- Added newtTextboxGetNumLines() and newtTextboxSetHeight()

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- Added changes from sopwith for C++ cleanliness and some listbox fixes.
